Legrand / Raritan / Server Technology Xerus™ JSON-RPC API: net::PortForwardingInfo Struct Reference

Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
net::PortForwardingInfo Struct Reference

Port forwarding info. More...

## Public Attributes
boolean | enabled
| `true` if port forwarding is enabled
boolean | nodeIndexValid
| `true` if nodeIndex is valid
int | nodeIndex
| Index of the node in the port forwarding cascade.
boolean | expansionUnitConnected
| `true` if this node has an expansion unit connected
string | primaryUnitDownstreamIfName
| Primary unit downstream interface (usb: any USB iface)
vector< PortForwardingPrimaryUnitAddrInfo > | primaryUnitIPv4AddrInfos
| Primary unit address info for IPv4.
vector< PortForwardingPrimaryUnitAddrInfo > | primaryUnitIPv6AddrInfos
| Primary unit address info for IPv6.
string | linkLocalIPv6Address
| link-local address of port forwarding interface

## Detailed Description

Port forwarding info.

Definition at line 71 of file Net.idl.

## Member Data Documentation

## ◆ enabled

boolean net::PortForwardingInfo::enabled

`true` if port forwarding is enabled

Definition at line 72 of file Net.idl.

## ◆ expansionUnitConnected

boolean net::PortForwardingInfo::expansionUnitConnected

`true` if this node has an expansion unit connected

Definition at line 75 of file Net.idl.

## ◆ linkLocalIPv6Address

string net::PortForwardingInfo::linkLocalIPv6Address

link-local address of port forwarding interface

Definition at line 80 of file Net.idl.

## ◆ nodeIndex

int net::PortForwardingInfo::nodeIndex

Index of the node in the port forwarding cascade.

Definition at line 74 of file Net.idl.

## ◆ nodeIndexValid

boolean net::PortForwardingInfo::nodeIndexValid

`true` if nodeIndex is valid

Definition at line 73 of file Net.idl.

## ◆ primaryUnitDownstreamIfName

string net::PortForwardingInfo::primaryUnitDownstreamIfName

Primary unit downstream interface (usb: any USB iface)

the first entry of each vector has the default route set (if default route is set at all)

Definition at line 76 of file Net.idl.

## ◆ primaryUnitIPv4AddrInfos

vector<PortForwardingPrimaryUnitAddrInfo> net::PortForwardingInfo::primaryUnitIPv4AddrInfos

Primary unit address info for IPv4.

Definition at line 78 of file Net.idl.

## ◆ primaryUnitIPv6AddrInfos

vector<PortForwardingPrimaryUnitAddrInfo> net::PortForwardingInfo::primaryUnitIPv6AddrInfos

Primary unit address info for IPv6.

Definition at line 79 of file Net.idl.

The documentation for this struct was generated from the following file:

- Net.idl